/* General */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url('texture.jpg');
}

/* Nav */

.grid_nav {
    display: grid;
    grid-template-columns: 10% 90%;
    grid-template-rows: 40px;
}

.nav {
    display: grid;
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 2;
    grid-column-end: 3;
}

.nav_logo {
    display: grid;
    float: left;
    padding-left: 5px;
    padding-top: 5px;
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
}

.nav li {
    list-style: none;
    margin-right: 30px;
    margin-top: 15px;
    font-family: 'Bellota Text', cursive;
    font-size: 18px;
    color: white;
    float: right;
}

.nav li a {
    text-decoration: none;
    color: black;
}

.nav li a:hover {
    color: #757575;
}

/* Index */

.grid_index {
    display: grid;
    height: calc(100vh - 66px);
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 40px 15vh 1fr 20vh;
}

.image_main {
    display: grid;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 3;
    grid-row-end: 4;
    align-items: center;
}

.responsive-image {
    width: 770px;
    height: auto;
    display: block;
    margin: 0 auto;
  }
  
@media (max-width: 768px) {
    .responsive-image {
        width: 100%;
        height: auto;
    }

    .image_main {
        grid-column: 1 / -1;
        padding: 0 1rem;
    }
}

/* Mij */

.grid_mij {
    display: grid;
    height: calc(100vh - 66px);
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 20px auto 1fr;
}

.mij_info {
    display: grid;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 16px;
    hyphens: auto;
}

.image_mij {
    display: grid;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 3;
    grid-row-end: 4;
    align-items: center;
}
  
@media (max-width: 768px) {
    .mij_info {
        grid-column: 1 / -1;
        padding: 0 1rem;
    }

    .responsive-image-mij {
        width: 100%;
        height: auto;
    }

    .image_mij {
        grid-column: 1 / -1;
        padding: 0 1rem;
    }
}

/* Expo */

.grid_expo {
    display: grid;
    height: calc(100vh - 66px);
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: 40px 1fr 1fr;
}

.expos {
    display: grid;
    align-items: center;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 18px;
    width: 100%;
}

.expos th:first-child, td:first-child {
    width: 45%;
}

.expos th:last-child, td:last-child {
    width: 55%;
}

@media (max-width: 768px) {
    .expos {
        grid-column: 1 / -1;
        padding: 0 1rem;
        font-size: 10px;
    }
}

/* Videos */

.vid-wrapper {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
}

.vid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column: 2 / 3;
    gap: 10px;
}

.vid-item video {
    width: 100%;
    height: auto; /* Maintain aspect ratio */
    display: block; /* Removes bottom whitespace */
}

.full-width {
    grid-column: 1 / 3;
}

@media (max-width: 768px) {
    .vid-item {
        grid-column: 1 / -1;
        padding: 0 1rem;
    }
}

/* .video-wrapper {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
}

.video1 {
    display: grid;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 4;
    justify-content: center;
} */

/* Foto's */

.masonry-wrapper {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
}

.masonry {
    grid-column: 2 / 3;
}

.masonry-item {
    border-radius: 10px;
} 

/* Footer */

footer {
    background-color: rgba(0, 0, 0, 0.1); /* Slightly transparent black background */
    padding: 20px 0;
    text-align: center;
    width: 100%;
    position: relative;
    bottom: 0;
    font-family: 'Source Sans Pro', sans-serif;
    margin-top: 25px;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.footer-content p {
    margin: 0;
    font-size: 14px;
}

.social-icons img {
    width: 24px; /* Adjust size as needed */
    height: 24px;
    fill: #fff; /* Default color for SVGs (if they support CSS fill) */
    transition: opacity 0.3s ease;
}

.social-icons img:hover {
    opacity: 0.7; /* Subtle hover effect */
}